# General Documentation

This folder contains a bunch of general information on how to get the base of a PiFrame deployed as well as additional notes.

## General Notes

* [WiFi](wifi.md)
* [HDMI](hdmi.md)

## Setup / Deployment

Items marked ```REQUIRED``` are assumed to be setup and working. You've been warned.

* [Base Firmware (REQUIRED)](base.md)
* [Finalize Arch Setup (REQUIRED)](finalize_setup.md)
* [Setup swap (REQUIRED)](swap.md)
* [journald Tweaks (make it less chatty and resource hungry)](journald.md)
* [Standard Raspberry Pi Toolchain Setup (REQUIRED)](rpi_tools.md)
* [CPU Governor](cpu_governor.md)
* [AUR Package Manager (REQUIRED)](aur_package_manager.md)
* [Slideshow Prep (REQUIRED)](slideshow_prep.md)
* [Slideshow Setup (REQUIRED)](slideshow.md)
* [Email Notifications (REQUIRED)](email_notifications.md)
* [cron / Scheduler (REQUIRED)](cron.md)
* [Backups via restic](restic.md)
* [Additional Networking Setup (REQUIRED)](cockpit.md)
* [Web Dashboard / Landing Page](landing_page.md)
* [System Monitoring (REQUIRED)](monit.md)
* [Resource Monitoring](munin.md)
* [Web File Manager (Picture Sync)](filebrowser.md)
* [SyncThing (Picture Sync)](syncthing.md)
* [rclone (Picture Sync)](rclone.md)
* [HDMI Scheduled On/Off](scheduled_display.md)
